#pragma once
class WizAniNodes
{
public:
	const		WizAniNodes&	operator=	(const WizAniNodes &other);
	const		WizAniNodes*	operator=	(const WizAniNodes *other);
	int			BMP_Index;
	int			ImgStartFrame;
	int			HowManyFramesToShow;
	bool		RepeatUntilUserInput;
};
const WizAniNodes& WizAniNodes::operator= (const WizAniNodes &other)
{
	if(this != &other)
	{
		BMP_Index				= other.BMP_Index;
		ImgStartFrame			= other.ImgStartFrame;
		HowManyFramesToShow		= other.HowManyFramesToShow;
		RepeatUntilUserInput	= other.RepeatUntilUserInput;
	}//end: if(this != &other)
	return *this;
}
const WizAniNodes* WizAniNodes::operator= (const WizAniNodes *other)
{
	if(this != other)
	{
		BMP_Index				= other->BMP_Index;
		ImgStartFrame			= other->ImgStartFrame;
		HowManyFramesToShow		= other->HowManyFramesToShow;
		RepeatUntilUserInput	= other->RepeatUntilUserInput;
	}
	return this;
}